Functions
Initialization and de-initialization functions
Peripheral Driver » HAL Driver » HMAC » Functions

Initialization and de-initialization functions. More...

Collaboration diagram for Initialization and de-initialization functions:

## Functions
hal_status_t | hal_hmac_init (hmac_handle_t *p_hmac)
| Initialize the HMAC according to the specified parameters in the hmac_init_t and initialize the associated handle. More...
hal_status_t | hal_hmac_deinit (hmac_handle_t *p_hmac)
| De-initialize the HMAC peripheral. More...
void | hal_hmac_msp_init (hmac_handle_t *p_hmac)
| Initialize the HMAC MSP. More...
void | hal_hmac_msp_deinit (hmac_handle_t *p_hmac)
| De-initialize the HMAC MSP. More...

## Detailed Description

Initialization and de-initialization functions.

     ===============================================================================
                  ##### Initialization and de-initialization functions #####
     ===============================================================================
        [..]  This subsection provides a set of functions allowing to initialize and
              de-initialize the HMACx peripheral:

          (+) User must implement hal_hmac_msp_init() function in which he configures
              all related peripherals resources (GPIO, DMA, IT and NVIC ).

          (+) Call the function hal_hmac_init() to configure the selected device with
              the selected configuration:
            (++) mode
            (++) key
            (++) user_hash
            (++) dpa_mode

          (+) Call the function hal_hmac_deinit() to restore the default configuration
              of the selected HMACx peripheral.

## Function Documentation

## ◆ hal_hmac_deinit()

hal_status_t hal_hmac_deinit | ( | hmac_handle_t * | p_hmac | ) |

De-initialize the HMAC peripheral.

Parameters

  [in] | p_hmac | Pointer to a HMAC handle which contains the configuration information for the specified HMAC module.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_hmac_init()

hal_status_t hal_hmac_init | ( | hmac_handle_t * | p_hmac | ) |

Initialize the HMAC according to the specified parameters in the hmac_init_t and initialize the associated handle.

Parameters

  [in] | p_hmac | Pointer to a HMAC handle which contains the configuration information for the specified HMAC module.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_hmac_msp_deinit()

void hal_hmac_msp_deinit | ( | hmac_handle_t * | p_hmac | ) |

De-initialize the HMAC MSP.

Note
  This function should not be modified. When the callback is needed, the HAL_HMAC_MspDeInit can be implemented in the user file.

Parameters

  [in] | p_hmac | Pointer to a HMAC handle which contains the configuration information for the specified HMAC module.

## ◆ hal_hmac_msp_init()

void hal_hmac_msp_init | ( | hmac_handle_t * | p_hmac | ) |

Initialize the HMAC MSP.

Note
  This function should not be modified. When the callback is needed, the hal_hmac_msp_deinit can be implemented in the user file.

Parameters

  [in] | p_hmac | Pointer to a HMAC handle which contains the configuration information for the specified HMAC module.